--
-- PostgreSQL database dump
--

-- Started on 2009-10-25 11:56:19 EDT

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 1750 (class 1262 OID 16385)
-- Dependencies: 1749
-- Name: testdb1; Type: COMMENT; Schema: -; Owner: test1
--

COMMENT ON DATABASE testdb1 IS 'test db for the project';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1469 (class 1259 OID 16434)
-- Dependencies: 3
-- Name: errors; Type: TABLE; Schema: public; Owner: test1; Tablespace: 
--

CREATE TABLE errors (
    "when" time without time zone,
    what character varying(100),
    who integer
);


ALTER TABLE public.errors OWNER TO test1;

--
-- TOC entry 1753 (class 0 OID 0)
-- Dependencies: 1469
-- Name: TABLE errors; Type: COMMENT; Schema: public; Owner: test1
--

COMMENT ON TABLE errors IS 'a place to log error messages for future debugging.  use freely.';


--
-- TOC entry 1468 (class 1259 OID 16391)
-- Dependencies: 3
-- Name: groups; Type: TABLE; Schema: public; Owner: test1; Tablespace: 
--

CREATE TABLE groups (
    user_group_1 character varying(10) NOT NULL,
    user_group_2 character varying(10) NOT NULL,
    description_group_1 character varying(60) NOT NULL,
    description_group_2 character varying(60)
);


ALTER TABLE public.groups OWNER TO test1;

--
-- TOC entry 1754 (class 0 OID 0)
-- Dependencies: 1468
-- Name: TABLE groups; Type: COMMENT; Schema: public; Owner: test1
--

COMMENT ON TABLE groups IS 'here we can keep track of our various user groups.  all users will be in a group.';


--
-- TOC entry 1467 (class 1259 OID 16386)
-- Dependencies: 1736 3
-- Name: users; Type: TABLE; Schema: public; Owner: test1; Tablespace: 
--

CREATE TABLE users (
    user_id integer DEFAULT 0 NOT NULL,
    first_name character varying(20) NOT NULL,
    last_name character varying(20) NOT NULL,
    middle_name character varying(20),
    user_group_1 character varying(10) NOT NULL,
    user_group_2 character varying(10),
    email character varying(20) NOT NULL,
    login_date timestamp without time zone,
    password character varying(40) NOT NULL
);


ALTER TABLE public.users OWNER TO test1;

--
-- TOC entry 1742 (class 2606 OID 16395)
-- Dependencies: 1468 1468 1468
-- Name: groups_pkey; Type: CONSTRAINT; Schema: public; Owner: test1; Tablespace: 
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT groups_pkey PRIMARY KEY (user_group_1, user_group_2);


--
-- TOC entry 1744 (class 2606 OID 16397)
-- Dependencies: 1468 1468
-- Name: groups_user_group_1_key; Type: CONSTRAINT; Schema: public; Owner: test1; Tablespace: 
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT groups_user_group_1_key UNIQUE (user_group_1);


--
-- TOC entry 1740 (class 2606 OID 16390)
-- Dependencies: 1467 1467
-- Name: users_user_id_key; Type: CONSTRAINT; Schema: public; Owner: test1; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_user_id_key UNIQUE (user_id);


--
-- TOC entry 1737 (class 1259 OID 16405)
-- Dependencies: 1467
-- Name: fki_group; Type: INDEX; Schema: public; Owner: test1; Tablespace: 
--

CREATE INDEX fki_group ON users USING btree (user_group_1);


--
-- TOC entry 1738 (class 1259 OID 16398)
-- Dependencies: 1467
-- Name: id_index; Type: INDEX; Schema: public; Owner: test1; Tablespace: 
--

CREATE INDEX id_index ON users USING btree (user_id);


--
-- TOC entry 1745 (class 1259 OID 16399)
-- Dependencies: 1468
-- Name: user_1_index; Type: INDEX; Schema: public; Owner: test1; Tablespace: 
--

CREATE INDEX user_1_index ON groups USING btree (user_group_1);


--
-- TOC entry 1746 (class 2606 OID 16400)
-- Dependencies: 1743 1468 1467
-- Name: group; Type: FK CONSTRAINT; Schema: public; Owner: test1
--

ALTER TABLE ONLY users
    ADD CONSTRAINT "group" FOREIGN KEY (user_group_1) REFERENCES groups(user_group_1);


--
-- TOC entry 1752 (class 0 OID 0)
-- Dependencies: 3
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2009-10-25 11:56:20 EDT

--
-- PostgreSQL database dump complete
--

